Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Variables
ezarticle/admin/medialist.php File Reference

Go to the source code of this file.

## Variables
| $ini =& eZINI::instance( 'site.ini' )
| $Language = $ini->variable( "eZArticleMain", "Language" )
| $t
| $article = new eZArticle( $ArticleID )
| $session =& eZSession::globalSession()
if(isset( $AddMedia)) | $media = $article->media()
if(count( $media)==0) | else
| $i =0

## Variable Documentation

## ◆ $article

$article = new eZArticle( $ArticleID )

Definition at line 53 of file ezarticle/admin/medialist.php.

## ◆ $i

$i =0

Definition at line 86 of file ezarticle/admin/medialist.php.

## ◆ $ini

$ini =& eZINI::instance( 'site.ini' )

Definition at line 32 of file ezarticle/admin/medialist.php.

## ◆ $Language

$Language = $ini->variable( "eZArticleMain", "Language" )

Definition at line 33 of file ezarticle/admin/medialist.php.

## ◆ $media

if (isset($AddMedia)) $media = $article->media()

Definition at line 76 of file ezarticle/admin/medialist.php.

Referenced by eZMedia\countUnassigned(), eZMediaCategory\delete(), eZMediaCategory\getMedia(), eZMedia\getUnassigned(), eZQDomRenderer\renderCustom(), eZQDomRenderer\renderMedia(), eZMediaAttribute\setValue(), syncDir(), and eZMediaAttribute\value().

## ◆ $session

$session =& eZSession::globalSession()

Definition at line 55 of file ezarticle/admin/medialist.php.

## ◆ $t

$t

Initial value:
= new eZTemplate( "kernel/ezarticle/admin/" . $ini->variable( "eZArticleMain", "AdminTemplateDir" ),
"kernel/ezarticle/admin/intl/", $Language, "medialist.php" )
eZTemplate
Definition: eztemplate.php:107
$Language
$Language
Definition: ezarticle/admin/medialist.php:33
$ini
$ini
Definition: ezarticle/admin/medialist.php:32

Definition at line 40 of file ezarticle/admin/medialist.php.

## ◆ else

if (count($media)==0) else

Initial value:
{
$t->set_var( "no_media", "" )
$t
$t
Definition: ezarticle/admin/medialist.php:40

Definition at line 82 of file ezarticle/admin/medialist.php.

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.